Crash when editing GRASS vector

2010-02-10 06:54 PM - dthonon -

Status: Closed

Priority: Low

Assignee: Lorenzo Masini

Category: GRASS

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12489

Description

When editing attributes of a GRASS point vector layer (points), clicking away from a point crashes QGIS 1.4.0.

History

#1 - 2010-02-11 12:23 AM - Giovanni Manghi

This is confirmed under both linux and windows (both with qgis 1.4 and trunk). Under linux I see only a "segmentation fault" error message.

It is reproducible not only with points (tested the mapset in the qgis sample dataset), just click with the "edit attributes" tool in the canvas. After the crash

the vector that was being edited has problems

Cannot open vector airports in mapset demo on level 2 (topology not available, try to rebuild topology using v.build module).

#2 - 2010-02-11 02:31 AM - Redmine Admin

- Resolution set to fixed

- Status changed from Open to Closed
